1. Follow-ups
Qonvera
  • Qonvera Public API
    • Contacts
      • List contacts
      • Create a contact
      • Get a contact
      • Update safe contact fields
    • Accounts
      • List accounts
      • Create an account
      • Get an account
      • Update safe account fields
    • Opportunities
      • List opportunities
      • Atomically create an opportunity
      • Get an opportunity
      • Update safe opportunity fields
    • Follow-ups
      • List follow-ups
        GET
      • Create an open follow-up
        POST
      • Get a follow-up
        GET
      • Update safe follow-up fields
        PATCH
    • Catalogue
      • List services
      • List pipelines
    • Receive a Qonvera CRM event
    • Schemas
      • Uuid
      • NullableUuid
      • NullableString
      • NullableEmail
      • NullableDate
      • NullableDateTime
      • Currency
      • TimestampFields
      • Contact
      • ContactPatch
      • ContactCreate
      • Account
      • AccountPatch
      • AccountCreate
      • ForecastCategory
      • Opportunity
      • OpportunityPatch
      • OpportunityServiceItem
      • OpportunityCreate
      • OpportunityCreateResultData
      • FollowupStatus
      • Followup
      • FollowupPatch
      • FollowupCreate
      • Service
      • Pipeline
      • ErrorDetail
      • ErrorEnvelope
      • ContactEnvelope
      • AccountEnvelope
      • OpportunityEnvelope
      • OpportunityCreateEnvelope
      • FollowupEnvelope
      • ContactListEnvelope
      • AccountListEnvelope
      • OpportunityListEnvelope
      • FollowupListEnvelope
      • ServiceListEnvelope
      • PipelineListEnvelope
      • WebhookEventType
      • WebhookEvent
      • ContactWebhookData
      • AccountWebhookData
      • OpportunityWebhookData
      • FollowupWebhookData
      • TestWebhookData
  1. Follow-ups

Update safe follow-up fields

PATCH
/public/v1/followups/{id}
Does not expose completion or cancellation because those transitions use audited Qonvera lifecycle commands.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200FollowupItem
application/json
Follow-up response.
Bodyapplication/json

🟠400ValidationFailed
🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
🟠409IdempotencyConflict
🔴500OperationFailed
🔴503Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://qonvera-521534438700.europe-west1.run.app/public/v1/followups/' \
--header 'Idempotency-Key: 01K39V4M4A0Q8C8X78QX6P7C2P' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "due_at": "2019-08-24T14:15:22.123Z",
    "note": "string",
    "owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d",
    "task_type": "string",
    "priority": "string"
}'
Response Response Example
200 - Example 1
{
    "data": {
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "deal_id": "2fa5b64f-5b72-4263-958e-07b76f41abe3",
        "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
        "due_at": "2019-08-24T14:15:22.123Z",
        "status": "open",
        "note": "string",
        "completion_note": "string",
        "owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d",
        "task_type": "string",
        "priority": "string"
    }
}
Modified at 2026-08-21 05:35:15
Previous
Get a follow-up
Next
List services
Built with